cookie-0.4.1.4: HTTP cookie parsing and rendering

Safe Haskell | None
Language | Haskell98

Web.Cookie

Contents

- Server to client
  - Data type
  - Functions
- Client to server
  - UTF8 Version
- Expires field

Synopsis

- data SetCookie
- setCookieName :: SetCookie -> ByteString
- setCookieValue :: SetCookie -> ByteString
- setCookiePath :: SetCookie -> Maybe ByteString
- setCookieExpires :: SetCookie -> Maybe UTCTime
- setCookieMaxAge :: SetCookie -> Maybe DiffTime
- setCookieDomain :: SetCookie -> Maybe ByteString
- setCookieHttpOnly :: SetCookie -> Bool
- setCookieSecure :: SetCookie -> Bool
- parseSetCookie :: ByteString -> SetCookie
- renderSetCookie :: SetCookie -> Builder
- def :: Default a => a
- type Cookies = [(ByteString, ByteString)]
- parseCookies :: ByteString -> Cookies
- renderCookies :: Cookies -> Builder
- type CookiesText = [(Text, Text)]
- parseCookiesText :: ByteString -> CookiesText
- renderCookiesText :: CookiesText -> Builder
- expiresFormat :: String
- formatCookieExpires :: UTCTime -> ByteString
- parseCookieExpires :: ByteString -> Maybe UTCTime

# Server to client

## Data type

data SetCookie

Instances

Eq SetCookie |
Show SetCookie |
Default SetCookie |
NFData SetCookie |

setCookieName :: SetCookie -> ByteString

setCookieValue :: SetCookie -> ByteString

setCookiePath :: SetCookie -> Maybe ByteString

setCookieExpires :: SetCookie -> Maybe UTCTime

setCookieMaxAge :: SetCookie -> Maybe DiffTime

setCookieDomain :: SetCookie -> Maybe ByteString

setCookieHttpOnly :: SetCookie -> Bool

setCookieSecure :: SetCookie -> Bool

## Functions

parseSetCookie :: ByteString -> SetCookie

renderSetCookie :: SetCookie -> Builder

def :: Default a => a

The default value for this type.

# Client to server

type Cookies = [(ByteString, ByteString)]

parseCookies :: ByteString -> Cookies

Decode the value of a "Cookie" request header into key/value pairs.

renderCookies :: Cookies -> Builder

## UTF8 Version

type CookiesText = [(Text, Text)]

Textual cookies. Functions assume UTF8 encoding.

parseCookiesText :: ByteString -> CookiesText

renderCookiesText :: CookiesText -> Builder

# Expires field

expiresFormat :: String

formatCookieExpires :: UTCTime -> ByteString

Format a `UTCTime` for a cookie.

parseCookieExpires :: ByteString -> Maybe UTCTime